Author: Matthias Klose <doko@ubuntu.com>
Description: Fix compile issues with gcc version 4.3 and higher
Origin: http://bugs.debian.org/607728
Forwarded: yes

--- probcons.orig/ProbabilisticModel.h
+++ probcons/ProbabilisticModel.h
@@ -12,6 +12,7 @@
 #include <list>
 #include <cmath>
 #include <cstdio>
+#include <cstring>
 #include "SafeVector.h"
 #include "ScoreType.h"
 #include "SparseMatrix.h"
--- probcons.orig/ProjectPairwise.cc
+++ probcons/ProjectPairwise.cc
@@ -16,6 +16,7 @@
 #include <limits>
 #include <cstdio>
 #include <cstdlib>
+#include <cstring>
 #include <cerrno>
 #include <iomanip>
 
--- probcons.orig/CompareToRef.cc
+++ probcons/CompareToRef.cc
@@ -16,6 +16,7 @@
 #include <limits>
 #include <cstdio>
 #include <cstdlib>
+#include <cstring>
 #include <cerrno>
 #include <iomanip>
 
--- probcons.orig/FixRef.cc
+++ probcons/FixRef.cc
@@ -17,6 +17,7 @@
 #include <algorithm>
 #include <cstdio>
 #include <cstdlib>
+#include <cstring>
 #include <cerrno>
 #include <iomanip>
 
--- probcons.orig/Main.cc
+++ probcons/Main.cc
@@ -21,6 +21,7 @@
 #include <climits>
 #include <cstdio>
 #include <cstdlib>
+#include <cstring>
 #include <cerrno>
 #include <iomanip>
 
